<?php
/*
 * Public Domain
 */
if (!defined('NOT_ACCESSED_DIRECTLY')) exit('This file may not be directly accessed');

//Your module's directory needs to contain a PHP file named module_code.php. This file
//should contain a PHP class definition, which should contain your module's program
//code.

//The class name you use MUST match your module's directory name.

//Your class should either extend the module_base_class, or else extend another module
//that extends the module_base_class.
//If you extend another module, you must list that module as a dependancy in your
//description.yaml file. The CMS will then check if the module you are extending can be
//run and include it for you each time the code your module is included; you do not
//need to use "include" or "require" in your code to include the module you are
//extending.


class example_module_2 extends module_base_class {
	
	//Your init() method is called before a page with your plugin on it is displayed.
	//You should set up your plugin, handle any form submissions that your plugin
	//accepts, then return true.
	//Alternately you can return false to hide your plugin from Visitors (but Admins
	//will always see your plugin).
	public function init() {
		
		//Allow this plugin to be cached. It offers no interaction and always displays
		//the same output, so can be cached in any situation.
		$this->allowCaching(
			$atAll = true,
			$ifUserLoggedIn = true, $ifGetSet = true, $ifPostSet = true,
			$ifSessionSet = true, $ifCookieSet = true);
		
		//This plugin does not interact with Content Items, Menu Nodes, Extranet Users,
		//Files or module Data, so the cached copy does not need to be cleared when
		//any of these change.
		$this->clearCacheBy(
			$clearByContent = false, $clearByMenu = false,
			$clearByUser = false, $clearByFile = false, $clearByModuleData = false);
		
		return true;
	}
	
	//Your showSlot() method is called by the CMS whenever it needs to display your
	//plugin in a Slot. It's your chance to display whatever you like, and have it
	//appear on the page!
	public function showSlot() {
		//The twigFramework() function can be used to display your framework.twig.html file.
		$this->twigFramework();
	}
}